## org.exist.xqj
Class XQItem

    java.lang.Object
      org.exist.xqj.XQItem

All Implemented Interfaces:
  javax.xml.xquery.XQItem, javax.xml.xquery.XQItemAccessor

public class XQItem
extends java.lang.Object
implements javax.xml.xquery.XQItem

Author:
  Adam Retter <adam.retter@devon.gov.uk>

Constructor Summary
`XQItem()`
`XQItem(boolean value, javax.xml.xquery.XQItemType type)`
`XQItem(byte value, javax.xml.xquery.XQItemType type)`
`XQItem(double value, javax.xml.xquery.XQItemType type)`
`XQItem(float value, javax.xml.xquery.XQItemType type)`
`XQItem(Item item)`

Method Summary
`void` `close()`
`java.lang.String` `getAtomicValue()`
`boolean` `getBoolean()`
`byte` `getByte()`
`double` `getDouble()`
`float` `getFloat()`
`int` `getInt()`
`java.lang.String` `getItemAsString()`
`javax.xml.xquery.XQItemType` `getItemType()`
`long` `getLong()`
`org.w3c.dom.Node` `getNode()`
`java.net.URI` `getNodeUri()`
`java.lang.Object` `getObject()`
`java.lang.Object` `getObject(javax.xml.xquery.XQCommonHandler handler)`
`short` `getShort()`
`boolean` `instanceOf(javax.xml.xquery.XQItemType type)`
`boolean` `isClosed()`
`void` `writeItem(java.io.OutputStream os, java.util.Properties props)`
`void` `writeItem(java.io.Writer ow, java.util.Properties props)`
`void` `writeItemToSAX(org.xml.sax.ContentHandler saxHandler)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQItem

    public XQItem()

### XQItem

    public XQItem(Item item)

### XQItem

    public XQItem(boolean value,
                  javax.xml.xquery.XQItemType type)
           throws javax.xml.xquery.XQException

### XQItem

    public XQItem(byte value,
                  javax.xml.xquery.XQItemType type)
           throws javax.xml.xquery.XQException

### XQItem

    public XQItem(double value,
                  javax.xml.xquery.XQItemType type)
           throws javax.xml.xquery.XQException

### XQItem

    public XQItem(float value,
                  javax.xml.xquery.XQItemType type)
           throws javax.xml.xquery.XQException

Method Detail

### close

    public void close()
               throws javax.xml.xquery.XQException

  Specified by:
    `close` in interface `javax.xml.xquery.XQItem`
  Throws:
    `javax.xml.xquery.XQException`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `javax.xml.xquery.XQItem`

### getAtomicValue

    public java.lang.String getAtomicValue()
                                    throws javax.xml.xquery.XQException

  Specified by:
    `getAtomicValue` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getBoolean

    public boolean getBoolean()
                       throws javax.xml.xquery.XQException

  Specified by:
    `getBoolean` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getByte

    public byte getByte()
                 throws javax.xml.xquery.XQException

  Specified by:
    `getByte` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getDouble

    public double getDouble()
                     throws javax.xml.xquery.XQException

  Specified by:
    `getDouble` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getFloat

    public float getFloat()
                   throws javax.xml.xquery.XQException

  Specified by:
    `getFloat` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getInt

    public int getInt()
               throws javax.xml.xquery.XQException

  Specified by:
    `getInt` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getItemAsString

    public java.lang.String getItemAsString()
                                     throws javax.xml.xquery.XQException

  Specified by:
    `getItemAsString` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getItemType

    public javax.xml.xquery.XQItemType getItemType()
                                            throws javax.xml.xquery.XQException

  Specified by:
    `getItemType` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getLong

    public long getLong()
                 throws javax.xml.xquery.XQException

  Specified by:
    `getLong` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getNode

    public org.w3c.dom.Node getNode()
                             throws javax.xml.xquery.XQException

  Specified by:
    `getNode` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getNodeUri

    public java.net.URI getNodeUri()
                            throws javax.xml.xquery.XQException

  Specified by:
    `getNodeUri` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getObject

    public java.lang.Object getObject()
                               throws javax.xml.xquery.XQException

  Specified by:
    `getObject` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getObject

    public java.lang.Object getObject(javax.xml.xquery.XQCommonHandler handler)
                               throws javax.xml.xquery.XQException

  Specified by:
    `getObject` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### getShort

    public short getShort()
                   throws javax.xml.xquery.XQException

  Specified by:
    `getShort` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### instanceOf

    public boolean instanceOf(javax.xml.xquery.XQItemType type)
                       throws javax.xml.xquery.XQException

  Specified by:
    `instanceOf` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### writeItem

    public void writeItem(java.io.OutputStream os,
                          java.util.Properties props)
                   throws javax.xml.xquery.XQException

  Specified by:
    `writeItem` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### writeItem

    public void writeItem(java.io.Writer ow,
                          java.util.Properties props)
                   throws javax.xml.xquery.XQException

  Specified by:
    `writeItem` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

### writeItemToSAX

    public void writeItemToSAX(org.xml.sax.ContentHandler saxHandler)
                        throws javax.xml.xquery.XQException

  Specified by:
    `writeItemToSAX` in interface `javax.xml.xquery.XQItemAccessor`
  Throws:
    `javax.xml.xquery.XQException`

Copyright (C) Wolfgang Meier. All rights reserved.